Module Pub.Squall

ModuleInfo "Version: 1.00"
ModuleInfo "Author: Amir Latypov"
ModuleInfo "License: Public Domain"
ModuleInfo "Copyright: FlameRites CT"
ModuleInfo "ModServer: FlameRites :)"

Import "-lSQUALL"



Extern "c"
Function SQUALL_Init(Param:Int=0)
Function SQUALL_Sample_LoadFile(FIleName:Byte Ptr,MemFlag:Int=True,param:Int=0)
Function SQUALL_Sample_Play(SampleID:Int, Loop:Int, Group:Int=0, Start:Int=True)
Function  SQUALL_Free()

Function SQUALL_Channel_Pause(ChannelID:Int,Pause:Int)
Function SQUALL_Channel_Stop(ChannelID:Int)

Const  SQUALL_CHANNEL_STATUS_NONE=0
Const SQUALL_CHANNEL_STATUS_PLAY=1 
Const SQUALL_CHANNEL_STATUS_PAUSE=2
Const SQUALL_CHANNEL_STATUS_PREPARED=3

Function SQUALL_Channel_Status:Int(ChannelID:Int)
Function SQUALL_Channel_SetVolume(ChannelID:Int,Volume:Int)
Function SQUALL_Sample_UnloadAll()
End Extern